ryuipq
Last Updated: March 29, 2017
·
31
· n1ckbren
Bren nikita

How to fix invalid credential? omniauth-facebook gem broken after Facebook API Deprecation.

Go to gem file:
change

gem 'omniauth-facebook'

to

gem 'omniauth-facebook', '~> 4.0.0'

in terminal - bundle for updating omniauth-facebook ('bundle update' can broke your application, because it's updated all your gems).

bundle

Push changes to the production server.
1. Gemfile
2. 2.Gemfile.lock

RESTART PRODUCTION SERVER
In my case:

I'm updated from 2.0.1 to 4.0.0

All works fine, but you have restart production server (stop and start unicorn or comething).

Source

Say Thanks
Respond